/* NVTV i810_type -- Dirk Thierbach <dthierbach@gmx.de>
 *
 * Extends the TDFXRec type from tdfx.h and introduces new types, and should
 * eventually be merged with the original XFree file.  
 * 
 */

#ifndef _TDFX_TYPE_H
#define _TDFX_TYPE_H

#include "xfree.h"
#include "xf86i2c.h"
#include "debug.h"
#include "tv_common.h"

typedef struct _I810Rec *I810Ptr;

typedef struct _I810Rec {
   unsigned char *MMIOBase;
   unsigned char *FbBase;
  /* ... */
  /* new members: */
  TVEncoderObj	      tvEncoder;
  I2CChainPtr         TvChain; /* chain of devices on all busses */
  I2CBusPtr           TvBus;
  I2CDevPtr           TvDev;
} I810Rec;

#define I810PTR(p) ((I810Ptr)((p)->driverPrivate))

#endif /* _TDFX_TYPE_H */
