/* NVTV Philips TV-I2C header -- Dirk Thierbach <dthierbach@gmx.de>
 *
 * This file is part of nvtv, a tool for tv-output on NVidia cards.
 * 
 * nvtv is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * nvtv is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: tv_ph.h,v 1.5 2002/03/20 18:39:32 hsalokor Exp $
 *
 * Contents:
 *
 * Header: Routines to access the Brooktree chip registers via the I2C bus.
 *
 */

#ifndef _TV_PH_H
#define _TV_PH_H

#include "xf86i2c.h"
#include "tv_i2c.h"
#include "tv_chip.h"
#include "tv_common.h"

void TVPhInitRegs (TVEncoderObj *this, int flags);
void TVPhSetRegs (TVEncoderObj *this, TVEncoderRegs *r, TVState state);
void TVPhSetState (TVEncoderObj *this, TVEncoderRegs *r, TVState state);
long TVPhGetStatus (TVEncoderObj *this, int index);
TVConnect TVPhGetConnect (TVEncoderObj *this);
void TVPhSetHWConfig (TVEncoderObj *this, int config);
void TVPhGetHWConfig (TVEncoderObj *this, int *config);

char *TVDetectPhilips (I2CDevPtr dev, TVChip *encoder);

extern TVEncoderObj tvPhTemplate;

#ifdef NVTV_DEBUG
void PhilipsRegDump (I2CDevPtr dev);
#endif

#endif /* _TV_PH_H */
